Bug 1122900 - [abrt] dnf: package.py:73:header:RuntimeError: (Rpm file does not exist)
[abrt] dnf: package.py:73:header:RuntimeError: (Rpm file does not exist)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4bc07661c7984692078ce8481f8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-24 06:51 EDT by Lukas Slebodnik
Modified: 2014-09-30 19:42 EDT (History)
5 users (show)

See Also:
Fixed In Version: dnf-0.5.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-29 03:19:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.62 KB, text/plain)
2014-07-24 06:51 EDT, Lukas Slebodnik
no flags Details
File: environ (2.20 KB, text/plain)
2014-07-24 06:51 EDT, Lukas Slebodnik
no flags Details

  None (edit)
Description Lukas Slebodnik 2014-07-24 06:51:52 EDT
Description of problem:
dnf update --disablerepo=* --enablerepo=localrepo

Version-Release number of selected component:
dnf-0.5.4-1.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        /usr/bin/python -OO /bin/dnf update --disablerepo=* --enablerepo=localrepo
executable:     /bin/dnf
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
package.py:73:header:RuntimeError: (u"Rpm file does not exist: '%s'", u'/dev/shm/repo/libipa_hbac-1.12.1-0.20140723.1323.gitcd61aff.mit.fc20.x86_64.rpm')

Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 200, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 83, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 140, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 165, in resolving
    return_code, resultmsgs = base.do_transaction()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 233, in do_transaction
    return_code, resultmsgs = super(BaseCli, self).do_transaction(display)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 566, in do_transaction
    self.transaction.populate_rpm_ts(self.ts)
  File "/usr/lib/python2.7/site-packages/dnf/transaction.py", line 189, in populate_rpm_ts
    hdr = tsi.installed.header
  File "/usr/lib/python2.7/site-packages/dnf/package.py", line 73, in header
    raise RuntimeError("Rpm file does not exist: '%s'", rpmfile)
RuntimeError: (u"Rpm file does not exist: '%s'", u'/dev/shm/repo/libipa_hbac-1.12.1-0.20140723.1323.gitcd61aff.mit.fc20.x86_64.rpm')

Local variables in innermost frame:
self: <hawkey.Package object id 2164, libipa_hbac-1.12.1-0.20140723.1323.gitcd61aff.mit.fc20.x86_64, localrepo>
rpmfile: u'/dev/shm/repo/libipa_hbac-1.12.1-0.20140723.1323.gitcd61aff.mit.fc20.x86_64.rpm'
Comment 1 Lukas Slebodnik 2014-07-24 06:51:55 EDT
Created attachment 920499 [details]
File: backtrace
Comment 2 Lukas Slebodnik 2014-07-24 06:51:56 EDT
Created attachment 920500 [details]
File: environ
Comment 3 Ales Kozumplik 2014-07-24 08:15:24 EDT
Looking.
Comment 4 Lukas Slebodnik 2014-07-24 09:23:09 EDT
After rebooting machine, packages were not available in localrepo (/deve/shm/repo) Expiring cache fixed this problem.

dnf clean expire-cache --disablerepo=* --enablerepo=localrepo

I would expect reasonable error message instead of stack trace from unhandled exception.
Comment 5 Ales Kozumplik 2014-07-24 10:15:33 EDT
Fixed on master by 224e924, thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.